## WizDefend Pack v2.0.0

#### Integrations

##### Wiz
- Updated the Docker image to: *demisto/python3:3.12.8.3296088*.

- Updated the Wiz integration to support enhanced threat detection capabilities.
- Updated the Wiz integrations to support filters when fetching incidents.
- Added a new command: ***wiz-get-resources***

##### WizDefend
- **New Integration**: Added WizDefend integration for comprehensive security detection and threat management.
- Provides agentless cloud security platform capabilities for detecting and addressing cloud issues, detections, and threats.
- Supports fetching incidents automatically from Wiz detections.
- Includes filtering capabilities by severity, platform, origin, cloud accounts, and more.
- Added a new command: ***wiz-defend-get-detections***
- Added a new command: ***wiz-defend-get-detection***
- Added a new command: ***wiz-defend-get-threat***
- Added a new command: ***wiz-defend-get-threats***
- Added a new command: ***wiz-defend-reopen-threat***
- Added a new command: ***wiz-defend-resolve-threat***
- Added a new command: ***wiz-defend-set-threat-in-progress***
- Added a new command: ***wiz-defend-set-threat-comment***
- Added a new command: ***wiz-defend-clear-threat-comments***

#### Mappers

##### Wiz Mapper Webhook
- Updates to support the updated description fields in the Wiz integration.

##### Wiz Mapper
- Updates to support the updated description fields in the Wiz integration.

#### Incident Types

##### WizDefend Detection
- **New Incident Type**: Added incident type specifically for WizDefend security detections.
- Automatically created when the integration fetches new detections from Wiz.

#### Incident Fields

##### Wiz Cloud Account
- Updated the Wiz Cloud Account incident field to support WizDefend detection data.

##### Wiz Cloud Account Name
- Updated the Wiz Cloud Account Name incident field to support WizDefend detection data.

##### Wiz Cloud Platform
- Updated the Wiz Cloud Platform incident field to support WizDefend detection data.

##### Wiz Detection ID
- **New Incident Field**: Added incident field for Wiz Detection ID for the threat detection.

##### Wiz Detection URL
- **New Incident Field**: Added incident field for Wiz Detection URL that provides details and description of the Control that created the Wiz Issue/Incident.

##### Wiz Issue Due Date
- Updated the Wiz Issue Due Date incident field to support WizDefend detection data.

##### Wiz Issue ID
- Updated the Wiz Issue ID incident field to support WizDefend detection data.

##### Wiz Issue URL
- Updated the Wiz Issue URL incident field to support WizDefend detection data.

##### Wiz Resource Cloud ID
- Updated the Wiz Resource Cloud ID incident field to support WizDefend detection data.

##### Wiz Resource ID
- Updated the Wiz Resource ID incident field to support WizDefend detection data.

##### Wiz Resource Native Type
- Updated the Wiz Resource Native Type incident field to support WizDefend detection data.

##### Wiz Resource Region
- Updated the Wiz Resource Region incident field to support WizDefend detection data.

##### Wiz Resource Type
- Updated the Wiz Resource Type incident field to support WizDefend detection data.

#### Mappers

##### Wiz Mapper

- Updated the Wiz Mapper mapper to use sourceRule instead of custom.

##### Wiz Mapper Webhook

- Updated the Wiz Mapper Webhook mapper to use sourceRule instead of custom.

##### WizDefend Mapper
- **New Mapper**: Added mapper that maps WizDefend Detection fields for use in Integration Playbooks.
- Automatically populates relevant incident fields with detection information.

#### Layouts

##### WizDefend Layout
- **New Layout**: Added custom incident layout optimized for displaying WizDefend detection information.
- Provides organized view of detection details, affected resources, and remediation actions.

#### Playbooks

##### Assess WizDefend Detections
- **New Playbook**: Added playbook to assess Wiz Detections from the WizDefend integration.
- Provides automated analysis and response capabilities for security detections.